Bug 98949

Summary: editors/openoffice.org-2: Build fails with 'build_instsetoo_native'
Product: Ports & Packages Reporter: Heino Tiedemann <rotkaps_spam_trap>
Component: Individual Port(s)Assignee: freebsd-openoffice (Nobody) <openoffice>
Status: Closed FIXED    
Severity: Affects Only Me    
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Heino Tiedemann 2006-06-14 15:50:17 UTC
cd /usr/ports/editors/openoffice.org-2.0
make -DWITHOUT_MOZILLA -DWITH_CUPS -DWITH_KDE LOCALIZED_LANG=de



causes this (after a lot of hours):

iablo-jdk1.5.0/include -I/usr/local/diablo-jdk1.5.0/include/freebsd -I/usr/local/diablo-jdk1.5.0/include/bsd -I/usr/local/diablo-jdk1.5.0/include/linux -I/usr/local/diablo-jdk1.5.0/include/native_threads/include -I/usr/X11R6/include     -I. -I../../../../res -I. -Os -fno-strict-aliasing -Wuninitialized   -fvisibility=hidden -pipe -mtune=pentiumpro -Wno-ctor-dtor-privacy -fvisibility-inlines-hidden -g1 -fexceptions -fno-enforce-eh-specs   -fpic -DFREEBSD -DUNX -DVCL -DGCC -DC341 -DINTEL -DCVER=C341 -D_USE_NAMESPACE -DX86  -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1 -DSTLPORT_VERSION=450 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/local/gcc-ooo/i386-portbld-freebsd6.1/3.4.1/include/c++ -DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE -DEXCEPTIONS_ON -DCUI -DSOLAR_JAVA -DOOC680=OOC680   -DSD_DLLIMPLEMENTATION -DSHAREDLIB -D_DLL_  -DMULTITHREAD  -o ../../../../unxfbsdi.pro/slo/SlsPageObjectViewObjec
 tContact.o /usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/sd/source/ui/slidesorter/view/SlsPageObjectViewObjectContact.cxx
if ( -e ../../../../unxfbsdi.pro/slo/SlsPageObjectViewObjectContact.o) touch ../../../../unxfbsdi.pro/slo/SlsPageObjectViewObjectContact.obj
--- EXCEPTIONSFILES OVER ---
------------------------------
Making: ../../../../unxfbsdi.pro/slo/SlideSorterView.obj
g++-ooo -Wreturn-type -fmessage-length=0 -c -I.  -I/usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/solver/680/unxfbsdi.pro/inc/offuh -I../inc -I../../inc -I../../../../inc -I../../../../unx/inc -I../../../../unxfbsdi.pro/inc -I. -I/usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/solver/680/unxfbsdi.pro/inc/stl -I/usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/solver/680/unxfbsdi.pro/inc/external -I/usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/solver/680/unxfbsdi.pro/inc -I/usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/solenv/unxfbsdi/inc -I/usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/solenv/inc -I/usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/res -I/usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/solver/680/unxfbsdi.pro/inc/stl -I/usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/solenv/inc/Xp31 -I/usr/local/diablo-jdk1.5.0/include -I/usr/local/diablo-jdk1.5.0/include/freebsd -I/usr/local/diablo-jdk1.5.0/include/bsd -I/usr/local/
 diablo-jdk1.5.0/include/linux -I/usr/local/diablo-jdk1.5.0/include/native_threads/include -I/usr/X11R6/include     -I. -I../../../../res -I. -Os -fno-strict-aliasing -Wuninitialized   -fvisibility=hidden -pipe -mtune=pentiumpro -Wno-ctor-dtor-privacy -fvisibility-inlines-hidden -g1 -fexceptions -fno-enforce-eh-specs   -fpic -DFREEBSD -DUNX -DVCL -DGCC -DC341 -DINTEL -DCVER=C341 -D_USE_NAMESPACE -DX86  -D_PTHREADS -D_REENTRANT -DNEW_SOLAR -D_USE_NAMESPACE=1 -DSTLPORT_VERSION=450 -DHAVE_GCC_VISIBILITY_FEATURE -D__DMAKE -DUNIX -DCPPU_ENV=gcc3 -DGXX_INCLUDE_PATH=/usr/local/gcc-ooo/i386-portbld-freebsd6.1/3.4.1/include/c++ -DSUPD=680 -DPRODUCT -DNDEBUG -DPRODUCT_FULL -DOSL_DEBUG_LEVEL=0 -DOPTIMIZE -DEXCEPTIONS_ON -DCUI -DSOLAR_JAVA -DOOC680=OOC680   -DSD_DLLIMPLEMENTATION -DSHAREDLIB -D_DLL_  -DMULTITHREAD  -o ../../../../unxfbsdi.pro/slo/SlideSorterView.o /usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/sd/source/ui/slidesorter/view/SlideSorterView.cxx
g++-ooo: Internal error: Killed: 9 (program cc1plus)
Please submit a full bug report.
See <URL:http://gcc.gnu.org/bugs.html> for instructions.
dmake:  Error code 1, while making '../../../../unxfbsdi.pro/slo/SlideSorterView.obj'
'---* tg_merge.mk *---'

ERROR: Error 65280 occurred while making /usr/ports/editors/openoffice.org-2.0/work/OOC680_m5/sd/source/ui/slidesorter/view
dmake:  Error code 1, while making 'build_instsetoo_native'
'---* *---'
*** Error code 255

Stop in /usr/ports/editors/openoffice.org-2.0.



The Source Tarbal is 'OOo_2.0.3rc5_src_060601.tar.gz'. All oher ports are up to date. The Basesystem is brandnew (RELENG_6).

How-To-Repeat: cd /usr/ports/editors/openoffice.org-2.0
make -DWITHOUT_MOZILLA -DWITH_CUPS -DWITH_KDE LOCALIZED_LANG=de
Comment 1 Edwin Groothuis freebsd_committer 2006-06-14 16:22:46 UTC
Responsible Changed
From-To: freebsd-ports-bugs->openoffice

Over to maintainer 

http://www.freebsd.org/cgi/query-pr.cgi?pr=98949 

Adding to audit trail from misfiled PR ports/99291:

Date: Thu, 22 Jun 2006 10:29:36 +0300
Comment 2 rotkap 2006-06-22 13:26:07 UTC
> you must have more than 512 Mb on swap device, or start mashine without 
> any programs runned (try compile it in safe mode)

Since when?

Until now it always worked with my Swap Space.

Heino

-- 

Echte DSL-Flatrate dauerhaft für 0,- Euro*!
"Feel free" mit GMX DSL! http://www.gmx.net/de/go/dsl
Comment 3 Heino Tiedemann 2006-06-22 16:13:21 UTC
> How much RAM memory installed on your machine?

512 Ram and 512 Swap.

> I have 512Mb RAM, and 512Mb SWAP, but can`t compile openoffice.org-2.0
> so long as closed all programs started (such as: kdm, ftp, smb and
> others), to set free memory. After that - building was completed
> successfully.

Is that new? since the last OOo2 it was possible.
(By the way: I run KDE without kdm)

> I`m sure, this information can help other people
>
> P.S. sorry, if my english is bad

me too ;-)
Comment 4 jaapb 2006-07-14 13:13:46 UTC
I also had this problem with 2.0.3 (on a machine with 640 Mb RAM and 1280 Mb 
of swap space), but only when I broke off the compilation at some point and 
restarted it afterwards. Maybe it helps if you compile the program in one go?
Comment 5 Mark Linimon freebsd_committer freebsd_triage 2007-04-01 12:27:20 UTC
State Changed
From-To: open->closed

openoffice has been updated many times since this PR was submitted.  I'm 
sorry that we did not handle it earlier.